Bug 17083 - Remove more event attributes from tools templates
Summary: Remove more event attributes from tools templates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 18574
  Show dependency treegraph
 
Reported: 2016-08-08 18:34 UTC by Owen Leonard
Modified: 2017-12-07 22:18 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17083 - Remove more event attributes from tools templates (10.11 KB, patch)
2016-08-09 12:09 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 17083: Remove more event attributes from tools templates (10.19 KB, patch)
2016-08-09 20:59 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 17083: Remove more event attributes from tools templates (10.24 KB, patch)
2016-08-14 13:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 17083: Remove more event attributes from tools templates (10.61 KB, patch)
2016-09-22 14:21 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-08-08 18:34:49 UTC
This patch will remove event attributes from some tools-related templates:

labels/label-edit-layout.tt
tools/cleanborrowers.tt
tools/inventory.tt
tools/letter.tt
tools/upload.tt
Comment 1 Owen Leonard 2016-08-09 12:09:09 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-08-09 20:59:51 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-08-14 13:58:34 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2016-09-22 14:21:43 UTC
Created attachment 55750 [details] [review]
[PASSED QA] Bug 17083: Remove more event attributes from tools templates

This patch removes event attributes from several tool-related templates.
Events are defined instead in the JavaScript.

To test, apply the patch and:

- Go to Tools -> Label creator -> Manage -> Layouts and edit any layout.
  - In the "Font" setting, choose any font which includes the word
    "italic" or "oblique" in the name. Doing so should disable the
    "Oblique title" checkbox.
- Go to Tools -> Batch patron deletion/anonymization.
  - Submit the form without making any changes. You should be prompted
    to select an action.
- Go to Tools -> Inventory.
  - Select a batch of barcodes to upload.
  - Submit the form without selecting any filters. This should trigger a
    warning.
  - Also changed: Added Font Awesome icons to the "Select all" and
    "Clear all" links on the inventory results view.
- Go to Tools -> Notices and Slips.
  - Click "New notice"
  - Change the selection under "Koha module." The page should reload
    with the correct available message body fields. For instance,
    selecting "Holds" should make available reserves.* columns.
- Go to Tools -> Upload.
  - In the search form, enter a search term and click the 'Search'
    button. The form should submit.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised. Event attributes removed

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Kyle M Hall 2016-09-27 13:11:43 UTC
Pushed to master for 16.11, thanks Owen!